function [ x, x2, f2 ] = extrapol( x1, x2, f1, f2, iter)
% x = extrapol( x1, x2, f1, f2)
% This function find x value such that f(x)=0 using a secant method.
%
% Input:
%   f1 and f2: function values corresponding to variables x1 and x2
%   iter: index of iteration at curent iteration step
%
% Output:
%   x: estimated value of x correspopnding to f(x)=0
%   x2 and f2: same as in the input.
%
% (c) Ardeshir Hanifi & David Tempelmann, 2014
%

if (iter==1)
    x = x2*1.001;
else
    x = x2 - (x2 - x1)/(f2 - f1)*f2; 
end

end

