function [ A ] = form_Helmholtz_2D( Nx, Ny, d2x, d2y)

% FORM_Helmholtz_2D: Form the 2D Laplacian 
%
% INPUTS
% Nx, Ny:     number of Chebyshev collocation nodes
%
% d2x:        Chebyshev Gauss Lobatto collocation derivative matrix
% d2y:        Chebyshev Gauss Lobatto collocation derivative matrix
%
% OUTPUTS
% A:          LHS of the discretized Laplacian operator in 2D
%
% (c) 2014 vt_productions

Ix=eye(Nx+1);
Iy=eye(Ny+1);

A = kron(d2x,Iy)+kron(Ix,d2y);

return