function [phi]=plot_Helmholtz2d(eigval,eigvec,y,x,Lx,Ly)
% plot_Helmholtz2D plots the eigenfunctions computed by Helmholtz2D
%
Ny=length(y);
Nx=length(x);
NN=Nx*Ny;
[X,Y]=meshgrid(x,y); 
x1=linspace(0,Lx,50);
y1=linspace(0,Ly,50);

[X1,Y1]=meshgrid(x1,y1); 

disp('Right click to pick the mode. Left click to stop');
button=1;
while button==1
    
    figure(1)
    plot(real(eigval),imag(eigval),'o');
    axis([30,40,-1,1]);
    axis('square');
    ylabel('-imag(\lambda)/\pi^2')
    xlabel('-real(\lambda)/\pi^2')
    
    % pick the eigenfunction
    [xp,yp,button] = ginput(1);
    a=xp+sqrt(-1)*yp;
    [c,locate]=min(abs(eigval-a));
    
    % extract the eigenfunction
    phi=reshape(eigvec(1:NN,locate),Ny,Nx);
      
    % interpolate on a finer grid
%    phi=interp2([X X],[Y Y],[phi phi],X1,Y1,'spline');
    
    phi=phi/max(max(phi));
    vecp=[0 0.2 0.4 0.6 0.8 1];    
    figure(2)
    contour(X,Y,phi,vecp,'k-');
    axis('square');
    hold on;
    vecm=[-0.2 -0.4 -0.6 -0.8 -1];    
    contour(X,Y,phi,vecm,'k-.');
    hold off;
end
end



