function [ A, B ] = impose_BCs_EVP2d( Nx, Ny, d1y, A, B )
%
% IMPOSE_BCS  Impose Boundary Conditions on the discretized LNSE operator.
% Impose BCs on perturbation velocity components only, none on pressure
% 
% INPUTS/OUTPUTS
% A:          LHS of the discretized LNSE operator in 2D
% B:          RHS of the discretized LNSE operator in 2D
%
% (c) 2014 vt_productions

OffSet = Nx * (Ny+1);

% .. u=0 at y = +1..

for i=1:Nx
      A(i*(Ny+1)+0*OffSet,:)=0;
      B(i*(Ny+1)+0*OffSet,:)=0;
      A(i*(Ny+1)+0*OffSet,i*(Ny+1)+0*OffSet)=1.;
end

% .. u=0 at y = -1..

for i=1:Nx
      A(i+(i-1)*Ny+0*OffSet,:)=0;
      B(i+(i-1)*Ny+0*OffSet,:)=0;
      A(i+(i-1)*Ny+0*OffSet,i+(i-1)*Ny+0*OffSet)=1.;
end

% .. v=0 at y = +1..

for i=1:Nx
      A(i*(Ny+1)+1*OffSet,:)=0;
      B(i*(Ny+1)+1*OffSet,:)=0;
      A(i*(Ny+1)+1*OffSet,i*(Ny+1)+1*OffSet)=1.;
end

% .. v=0 at y = -1..

for i=1:Nx
      A(i+(i-1)*Ny+1*OffSet,:)=0;
      B(i+(i-1)*Ny+1*OffSet,:)=0;
      A(i+(i-1)*Ny+1*OffSet,i+(i-1)*Ny+1*OffSet)=1.;
end

return