function [ xgrid, d1x, d2x ] = map_x( xin, xout, xgrid, d1x, d2x )
%
% MAP_X:           Linearly map a periodic domain 
%
% INPUTS
% xin:             start of mapped domain
% xout:            end of mapped domain
%
% INPUTS/OUTPUTS
% xgrid, d1x, d2x: mapped domain (output)
%
% (c) 2014 vt_productions

L_x=(xout-xin);
metric  = 2.*pi/L_x;

xgrid   =  (L_x/2./pi) * xgrid + xin;

d1x     = metric * d1x;
d2x     = d1x * d1x;

return