function[d1x,d2x] = set_fourier_derivative_matrices(Nx);
%
% SET_FOURIER_DERIVATIVE_MATRICES: Define matrices for 
%       Fourier spectral collocation differentiation
% INPUTS
% Nx:   number of Fourier collocation nodes 
% OUTPUTS
% d1x:  1st Fourier collocation derivative matrix
% d2x:  2nd Fourier collocation derivative matrix
%
% (c) 2014 vt_productions

for jj = 1:Nx
    j=jj-1;
    for kk = 1:Nx
        k=kk-1;
        if(j==k)
            d1x(kk,jj)=0.;
            d2x(kk,jj)=-Nx^2/12-1./6;
        else
            d1x(kk,jj)=0.5*(-1)^(k+j)*cot((k-j)*pi/Nx);
            d2x(kk,jj)=-0.5*(-1)^(k+j)/sin((k-j)*pi/Nx)^2;
        end
    end
end
return