function [ xgrid ] = set_x_grid( Nx );
%
% SET_X_GRID:   Define a periodic domain and discretize it 
%               using Fourier spectral collocation
% INPUTS
% Nx:           number of Fourier collocation nodes 
% OUTPUTS
% xgrid:        periodic domain
%
% (c) 2014 vt_productions

for jj=1:Nx
    j=jj-1;
    xgrid(jj)=2*pi*j/Nx;
end
return